Skip to content

Get Merchant Fees

GET
/api/admin/merchants/{id}/fees
curl --request GET \
--url https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/fees \
--header 'Authorization: Bearer <token>'

Get a merchant’s platform fee structure (mode + card/bank fixed+percentage).

id
required
string format: uuid

OK

Media type application/json
object
mode
string
Allowed values: Inclusive Exclusive
card
object
percentageRate
number format: double
fixedFee
number format: double
minFee
number format: double
nullable
maxFee
number format: double
nullable
bank
object
percentageRate
number format: double
fixedFee
number format: double
minFee
number format: double
nullable
maxFee
number format: double
nullable
Example
{
"mode": "Inclusive"
}

Not Found

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}